## kodi 17.0~rc3+dfsg1

=== project/cmake/addons/bootstrap/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(kodi-addons-bootstrap)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

# make sure CMAKE_INSTALL_PREFIX is properly set
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT OR NOT CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "${PROJECT_SOURCE_DIR}/../addons")
endif()
list(APPEND CMAKE_PREFIX_PATH ${CMAKE_INSTALL_PREFIX})

# figure out where the build directory is located
if(NOT BUILD_DIR)
  set(BUILD_DIR "${CMAKE_BINARY_DIR}/build")
else()
  file(TO_CMAKE_PATH "${BUILD_DIR}" BUILD_DIR)
endif()
get_filename_component(BUILD_DIR "${BUILD_DIR}" ABSOLUTE)

# make sure that the repositories to build have been specified
if(NOT REPOSITORY_TO_BUILD)
  set(REPOSITORY_TO_BUILD_DEFAULT ON)
  set(REPOSITORY_TO_BUILD "all")
  set(REPOSITORY_REVISION "")
  message(STATUS "Bootstrapping all repositories")
else()
  set(REPOSITORY_TO_BUILD_DEFAULT OFF)
  message(STATUS "Bootstrapping following repository: ${REPOSITORY_TO_BUILD}")
endif()

# figure out which addons to bootstrap (defaults to all)
if(NOT ADDONS_TO_BUILD)
  set(ADDONS_TO_BUILD "all")
  message(STATUS "Bootstrapping all addons")
else()
  message(STATUS "Bootstrapping following addons: ${ADDONS_TO_BUILD}")
endif()

include(ExternalProject)

function(bootstrap_repo repo_id repo_url repo_revision)
  message(STATUS "Bootstrapping addons from ${repo_id} (${repo_url} ${repo_revision})...")
  externalproject_add(${repo_id}
                      GIT_REPOSITORY ${repo_url}
                      GIT_TAG ${repo_revision}
                      PREFIX ${BUILD_DIR}/${repo_id}
                      CONFIGURE_COMMAND ""
                      BUILD_COMMAND ""
                      INSTALL_COMMAND ${CMAKE_COMMAND}
                                      -DCMAKE_PREFIX_PATH=${CMAKE_PREFIX_PATH}
                                      -DPROJECT_SOURCE_DIR=<SOURCE_DIR>
                                      -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
                                      -DADDONS_TO_BUILD=${ADDONS_TO_BUILD}
                                      -P ${PROJECT_SOURCE_DIR}/Bootstrap.cmake
                      )
endfunction()

# look for all addons repository definitions
set(REPOSITORY_TO_BUILD_FOUND OFF)
file(GLOB repos repositories/*.txt)
foreach(repo ${repos})
  file(STRINGS ${repo} repo_definition)
  string(REPLACE " " ";" repo_definition ${repo_definition})
  list(GET repo_definition 0 repo_id)

  list(FIND REPOSITORY_TO_BUILD ${repo_id} idx)
  if(idx GREATER -1 OR REPOSITORY_TO_BUILD STREQUAL "all")
    set(REPOSITORY_TO_BUILD_FOUND ON)

    # get the URL of the repository
    list(GET repo_definition 1 repo_url)

    # get the revision of the repository if not provided as an argument
    if(NOT REPOSITORY_REVISION)
      list(GET repo_definition 2 repo_revision)
    else()
      set(repo_revision "${REPOSITORY_REVISION}")
    endif()

    bootstrap_repo(${repo_id} ${repo_url} ${repo_revision})
  endif()
endforeach()

# if we have been asked to bootstrap a specific repository (not the default one) and
# it couldn't be found in the predefined repository definitions we assume that it's a
# URL to a specific repository
if(NOT REPOSITORY_TO_BUILD_DEFAULT AND NOT REPOSITORY_TO_BUILD_FOUND)
  # default to the master branch if no revision has been provided
  if(NOT REPOSITORY_REVISION)
    set(REPOSITORY_REVISION "master")
  endif()

  bootstrap_repo(binary-addons-custom ${REPOSITORY_TO_BUILD} ${REPOSITORY_REVISION})
endif()

=== debian/changelog ===
kodi (2:17.0~rc3+dfsg1-2) unstable; urgency=medium

  * Bump debhelper compat level to 10.
    Remove --parallel and --with autoreconf since those are now defaults
  * Build-depend on libcec-dev >= 4~ (Closes: #852216)
  * Fix make clean in debian/rules
  * Use real dlopen() for opening libdvdcss (Closes: #784578)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 25 Jan 2017 21:23:22 +0100

kodi (2:17.0~rc3+dfsg1-1) unstable; urgency=medium

  * Make default lirc device match lirc package's default (Closes: #850467)
  * Stop passing ./configure flags which are not supported anymore
  * Update fonts and font dependencies
  * Imported Upstream version 17.0~rc3+dfsg1
    See: https://kodi.tv/kodi-v17-0-krypton-release-candidate-3/
  * Refresh patches
  * Fix FTBFS due to missing AEDefines_override.h

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 16 Jan 2017 21:41:03 +0100

kodi (2:17.0~rc2+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 17.0~beta7+dfsg1
    See: https://kodi.tv/kodi-v17-krypton-the-last-beta-7/
  * Refresh patches
  * Use NotoSans-Regular font from fonts-noto-hinted package
  * Imported Upstream version 17.0~rc2+dfsg1
    See: https://kodi.tv/kodi-v17-krypton-release-candidate-1/
  * Fix positioning of the "from debian" text next to KODI logo

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 06 Jan 2017 18:39:14 +0100

kodi (2:17.0~beta6+dfsg1-1) unstable; urgency=medium

  * Drop new built-in webinterface addon from beta 6.
    The addon contains many generated files without source. It will
    be packaged separately.
  * Imported Upstream version 17.0~beta6+dfsg1
  * Refresh patches
  * Revert the webinterface.default addon to old web interface from beta5
  * Update lintian override about MediaLibrary.js to match new packaging
  * Revert to using libcec 3.1 until libcec4 becomes available in Debian

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 22 Dec 2016 02:00:46 +0100

kodi (2:17.0~beta5+dfsg1-4) unstable; urgency=medium

  * Stop using different epoch for transitional xbmc packages
  * Use 2: epoch for kodi packages (Closes: #844541)
  * Handle original tarballs properly when epoch is present in the package version

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 17 Nov 2016 15:42:51 +0100

kodi (17.0~beta5+dfsg1-3) unstable; urgency=medium

  * Generate addon API versions for architecture-specific builds only

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 14 Nov 2016 16:37:40 +0100

kodi (17.0~beta5+dfsg1-2) unstable; urgency=medium

  [ Balint Reczey ]
  * Stop providing xbmc-eventclients-j2me.
    This was a transitional package originally, but Kodi stopped shipping
    J2ME client. (Closes: #843169)
  * Transition to depending on fonts-anonymous-pro.
    Also accept ttf-anonymous-pro instead to support older releases
  * Generate additional original source tarball names from current version
  * Use more absolute paths in d/rules

  [ Tobias Grimm ]
  * Updated tarball versions in `debian/rules extract-components`
  * Provide virtual packages for addon APIs and install a debhelper addon
    to enable KODI addon packages to depend on these virtual packages.
  * Standards-Version: 3.9.8

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 14 Nov 2016 11:32:17 +0100

kodi (17.0~beta5+dfsg1-1) unstable; urgency=medium

  [ Lukas Rechberger ]
  * Make kodi depend on kodi-data of same version (Closes: #841937)

  [ Balint Reczey ]
  * Fix Kodi's FFmpeg API usage for allocating and freeing AVFrame
    (Closes: #831591)
  * New upstream beta release 17.0 Beta 5
    See: https://kodi.tv/kodi-v17-krypton-beta-5/
  * Refresh patches
  * Run tests only for architecture dependent package builds
  * Use Anonymous Pro font from ttf-anonymous-pro instead of from texlive-fonts-extra
    (Closes: #842717)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 02 Nov 2016 21:53:39 +0100

kodi (17.0~beta4+dfsg1-2) experimental; urgency=medium

  * Generate version of xbmc transitional packages dynamically
    (Closes: #842141)
  * Check installed headers only during architecture-specific builds

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 26 Oct 2016 13:37:42 +0200

kodi (17.0~beta4+dfsg1-1) experimental; urgency=medium

  * Ship additional headers referenced from already shipped ones
  * Ensure all needed development headers are installed
  * Use patches from libdvdread package
  * Build-depend on libssh-gcrypt-dev instead of libssh-dev to avoid
    transitive linking to libssl
  * Build-depend on libgcrypt-dev instead of libssl-dev
  * New upstream beta release 17.0 Beta 4
    See: https://kodi.tv/kodi-v17-krypton-beta-4/
  * Refresh patches
  * Stop building with OpenSSL

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 10 Oct 2016 23:00:38 +0200

kodi (17.0~beta3+dfsg1-1) experimental; urgency=medium

  * New upstream beta release 17.0 Beta 3
    See: https://kodi.tv/kodi-v17-krypton-beta-3/
  * Refresh patches
  * Use OpenGL ES and no VAAPI/VDAPU on arm64.
    This fixes FTBFS on arm64
  * Enable Google Tests on armel and mips, too.
    The test results don't make the build fail anyway
  * Build-depend on valgrind on amd64 and i386.
    This makes tests use Valgrind on those popular and fast architectures
  * Fix FTBFS on armel/armhf
  * Properly set hardening options
  * Re-enable TestSortUtils test
  * Fix building tests
  * Build-depend on default-libmysqlclient-dev to keep Lintian happy
  * Adjust "from debian" logo placement

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 07 Oct 2016 10:27:11 +0200

kodi (17.0~beta2+dfsg1-1) experimental; urgency=medium

  * New upstream beta release 17.0 Beta 2
    See: https://kodi.tv/kodi-v17-krypton-beta-2/
  * Drop build-depenency on libjasper-dev (Closes: 818201)
  * Adjust packaging to new skin's font requirements.
    Add dependency on fonts-lato and texlive-fonts-extra, drop
    dependency on fonts-roboto-hinted, make symlinks to new
    fonts instead of shipping them.


=== debian/control ===
Source: kodi
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: autoconf,
 automake,
 autopoint,
 autotools-dev,
 cmake,
 curl,
 debhelper (>= 10~),
 default-jre,
 dh-autoreconf,
 dh-python,
 doxygen,
 fontforge,
 fonts-dejavu-core,
 fonts-droid-fallback,
 gawk,
 gperf,
 groovy,
 inkscape,
 libasound2-dev | libasound-dev,
 libass-dev (>= 0.9.8),
 libavahi-client-dev,
 libavahi-common-dev,
 libavcodec-dev (>= 7:2.7.1),
 libavfilter-dev (>= 7:2.7.1),
 libavformat-dev (>= 7:2.7.1),
 libavresample-dev (>= 7:2.7.1),
 libavutil-dev (>= 7:2.7.1),
 libbluetooth-dev,
 libbluray-dev (>= 1:0.7.0),
 libboost-dev,
 libboost-thread-dev,
 libbz2-dev,
 libcap-dev,
 libcdio-dev,
 libcec-dev (>= 4~),
 libp8-platform-dev,
 libcommons-lang-java,
 libcurl4-gnutls-dev | libcurl-dev,
 libcwiid-dev [linux-any],
 libdbus-1-dev,
 libcrossguid-dev,
# libdvdnav-dev, use patched embedded version
# libdvdread-dev, use patched embedded version
 libfontconfig-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgif-dev,
 libgles2-mesa-dev [armel armhf arm64] | libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libgtest-dev,
 libiso9660-dev,
 libjpeg-dev,
 liblcms2-dev,
 libltdl-dev,
 liblzo2-dev,
 libmicrohttpd-dev,
 libmodplug-dev,
 default-libmysqlclient-dev,
 libnfs-dev,
 libomxil-bellagio-dev [armel armhf arm64 mipsel mips],
 libpcre3-dev,
 libplist-dev,
 libpng-dev,
 libpostproc-dev (>= 7:2.7.1),
 libpulse-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libshairport-dev,
 libsmbclient-dev,
 libsqlite3-dev,
 libssh-gcrypt-dev,
 libgcrypt-dev,
 libswscale-dev (>= 7:2.7.1),
 libtag1-dev (>= 1.8),
 libtinyxml-dev (>= 2.6.2),
 libtool,
 libudev-dev,
 libva-dev [!armel !armhf !arm64 !mipsel !mips],
 libvdpau-dev [!armel !armhf !arm64 !mipsel !mips],
 libxmu-dev,
 libxrandr-dev,
 libxslt1-dev,
 libxt-dev,
 libyajl-dev,
 nasm [i386],
 python-dev (>= 2.6.6-3~),
 python-imaging,
 swig,
 udev,
 unzip,
 uuid-dev,
 valgrind [amd64 i386],
 yasm,
 zip,
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://kodi.tv/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi.git

Package: kodi
Architecture: any
Depends: kodi-bin (>= ${source:Version}),
         kodi-bin (<< ${source:Version}.1~),
         kodi-data (>= ${source:Version}),
         ${misc:Depends}
Recommends: kodi-visualization-spectrum
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Breaks: xbmc (<< 2:13.2+dfsg1-5~)
Provides: ${kodi:PVRAPI}, ${kodi:GUILIBAPI}
Description: Open Source Home Theatre (executable binaries)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the kodi binaries.

Package: kodi-data
Architecture: all
Multi-Arch: foreign
Depends: mesa-utils,
         x11-utils,
         fonts-noto-hinted,
         fonts-roboto-hinted,
         libjs-jquery,
         libjs-iscroll,
         python-imaging,
         ${python:Depends},
         ${misc:Depends}
Replaces: xbmc (<< 2:13.2+dfsg1-5~), kodi (<< 15.2~rc1+dfsg1-2~)
Breaks: xbmc (<< 2:13.2+dfsg1-5~), kodi (<< 15.2~rc1+dfsg1-2~)
Description: Open Source Home Theatre (arch-independent data package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-bin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}, udisks2
Replaces: xbmc-bin (<< 2:13.2+dfsg1-5~)
Breaks: xbmc-bin (<< 2:13.2+dfsg1-5~)
Conflicts: libgl1-mesa-swx11
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working Kodi.

Package: kodi-eventclients-common
Architecture: all
Multi-Arch: foreign
Depends: ${python:Depends}, ${misc:Depends}
Description: Open Source Home Theatre (Event Client Common package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: kodi-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client Dev package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for Kodi Event Client.

Package: kodi-eventclients-wiiremote
Architecture: any
Depends: kodi-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client WII Remote support package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for Kodi.

Package: kodi-eventclients-ps3
Architecture: all
Multi-Arch: foreign
Depends: kodi-eventclients-common (= ${binary:Version}),
         python-bluez | python-lightblue,
         ${python:Depends},
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client PS3 package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your

=== debian/rules ===
#!/usr/bin/make -f

# This has to be exported to make some magic below work.
export DH_OPTIONS

# bindnow breaks wrappers used in with libdvdread
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Use package's version in Kodi
VERSION := $(shell dpkg-parsechangelog -S Version)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog -S Version| sed 's/[0-9]*://;s/-[^-]*$$//')

DVDNAV_COMPONENT = libdvdnav-5-0-3
DVDREAD_COMPONENT = libdvdread-5-0-3

GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD = -lvdpau

# Disable debugging by default
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBUG_CONFIG_OPTIONS += --enable-debug
else
DEBUG_CONFIG_OPTIONS += --disable-debug
endif

# Enable gles for armel, armhf and arm64
# Also disable VDPAU and VAAPI there since they break the build with gles
ifneq (,$(filter armel armhf arm64,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --disable-gl --enable-gles --disable-vdpau --disable-vaapi
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD =
else
# Enable OpenGL but no VDPAU or VAAPI for MIPS
ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --enable-gl --disable-gles --disable-vdpau --disable-vaapi
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD =
endif
endif

ARCH_SPECIFIC_LIB_RECOMMENDS += $(ARCH_SPECIFIC_LIB_RECOMMENDS_ADD)

# Various environment variables to set
export DEB_LDFLAGS_MAINT_APPEND = -latomic
# for embedded libdvd*:
export DEB_CPPFLAGS_MAINT_APPEND = -D_XBMC

# List of options to pass to configure. Can be overridden.
# Extra options can simply be passed using KODI_CONFIG_EXTRA_OPTIONS env
# variable.
KODI_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
  $(GL_CONFIG_OPTIONS) \
  --disable-openmax \
  --disable-tegra \
  $(DEBUG_CONFIG_OPTIONS) \
  --disable-profiling \
  --enable-pulse \
  --disable-mid \
  --enable-avahi \
  --enable-webserver \
  --enable-optical-drive \
  --enable-texturepacker \
  --enable-nfs \
  --enable-libcec \
  --disable-airtunes \
  --with-ffmpeg=shared \
  --disable-dependency-tracking \
  --disable-non-free \
  --enable-gtest \
  --with-lirc-device=/var/run/lirc/lircd \
  $(ARCH_SPECIFIC_OPTIONS) \
  $(KODI_CONFIG_EXTRA_OPTIONS)

# Used to show what config options are enabled
show-kodi-config-options:
	$(info $(KODI_CONFIG_OPTIONS))

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean libtool xbmc/config.h xbmc/stamp-h1
	find . -name config.status -o -name config.cache -o -name config.log \
		-exec rm -f "{}" \;
	rm -rf tools/depends/target; \
	ls $(CURDIR)/debian/patches/libdvdnav-* | tac | xargs cat | patch -R --no-backup-if-mismatch -r - -s -p1 \
		-d $(DVDNAV_COMPONENT) || true
	ls $(CURDIR)/debian/patches/libdvdread-* | tac | xargs cat | patch -R --no-backup-if-mismatch -r - -s -p1 \
		-d $(DVDREAD_COMPONENT) || true
	rm -rf $(CURDIR)/addons/webinterface.default
	rm -f debian/dh-addon/*.1

override_dh_auto_clean:
	dh_auto_clean
	make -C $(DVDNAV_COMPONENT) clean || true
	make -C $(DVDREAD_COMPONENT) clean || true

# fall back to old location of DejaVuSans.ttf if needed
ifneq ("$(wildcard /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf)","")
DEJAVUSANS=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf
else
DEJAVUSANS=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
endif

override_dh_auto_configure: configure
	cat $(CURDIR)/debian/patches/libdvdnav-* | patch -p1 -d $(DVDNAV_COMPONENT)
	cat $(CURDIR)/debian/patches/libdvdread-* | patch -p1 -d $(DVDREAD_COMPONENT)
	cp -r $(CURDIR)/webinterface-default $(CURDIR)/addons/webinterface.default
	sed -i 's/DEB_VERSION/"'$(VERSION)'"/' xbmc/Application.cpp xbmc/utils/SystemInfo.cpp
	fontforge -script $(CURDIR)/debian/mergefonts.ff \
		/usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
		$(DEJAVUSANS) \
		$(CURDIR)/media/Fonts/arial.ttf
	cp -r /usr/src/gtest/ $(CURDIR)/lib/
	mkdir -p $(CURDIR)/lib/gtest/lib/.libs
	ln -s ../../libgtest.a $(CURDIR)/lib/gtest/lib/.libs/
	./bootstrap
	dh_auto_configure -- $(KODI_CONFIG_OPTIONS)
	# Add "from Debian" next to Kodi's original logo
	inkscape -z -w 250 -h 82 --export-png=addons/skin.estuary/media/from-debian-logo.png debian/from-debian-logo.svg
	(cd $(DVDREAD_COMPONENT) && autoreconf -vif && \
		$(shell dpkg-buildflags --export=configure) ./configure \
		--prefix=$(CURDIR)/tools/depends/target/libdvdread/dvdread-install --disable-shared --enable-static --with-pic && \
		$(MAKE) install) && \
	(cd $(DVDNAV_COMPONENT) && autoreconf -vif && \
		$(shell dpkg-buildflags --export=configure) PKG_CONFIG_PATH="$(CURDIR)/tools/depends/target/libdvdread/dvdread-install/lib/pkgconfig" ./configure \
		--prefix=$(CURDIR)/tools/depends/target/libdvdnav/dvdnav-install --disable-shared --enable-static --with-pic && \
		$(MAKE) install)

override_dh_auto_build:
	dh_auto_build
	for file in $$(ls debian/dh-addon/dh_*); do \
		pod2man --section=1 --utf8 $$file $$file.1; \
	done

override_dh_auto_test-arch:
	dh_auto_test -a

# No tests for indep build.
override_dh_auto_test-indep:

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	install -m 755 $(CURDIR)/tools/depends/native/TexturePacker/bin/TexturePacker \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/kodi/
	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
		WII_EXTRA_OPTS=-DCWIID_OLD

override_dh_install-indep:
	dh_install -i -XLICENCE -XLICENSE \
		-XLicence.txt -XLicense.txt -XLICENSE.txt \
		-XNOTICE.txt \
		-Xjquery-1.8.2.min.js -Xiscroll-min.js

override_dh_install-arch:
	dh_install -a -XLICENCE -XLICENSE -XLicence.txt -XLicense.txt \
		-XLICENSE.txt -XNOTICE.txt
	# check if all needed headers are included
	$(CXX) -c debian/headers-check.c -DBUILD_KODI_ADDON \
	$(shell dpkg-buildflags --get CPPFLAGS) \
	$(shell dpkg-buildflags --get CXXFLAGS) \
	-Idebian/kodi-addons-dev/usr/include \
	-Idebian/kodi-addons-dev/usr/include/kodi \
	-o /dev/null

override_dh_shlibdeps: debian/tmp/kodi-bin-depends-dummy.so debian/tmp/kodi-bin-recommends-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/kodi-bin/usr/lib/*/kodi/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/kodi-bin-depends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars
	dpkg-shlibdeps -dRecommends -edebian/tmp/kodi-bin-recommends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars

debian/tmp/kodi-bin-depends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lcurl-gnutls

debian/tmp/kodi-bin-recommends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lass \
		-lbluray \
		-lcec \
		-lmodplug \
		-lnfs \
		-lplist \
		$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_strip:
	dh_strip --ddeb-migration="kodi-dbg (<< 15.1+dfsg1-4~)" || dh_strip

override_dh_installinit:
	@echo "Shipping systemd kodi.service file as an example only"

override_dh_gencontrol-arch:
	debian/dh-addon/dh_kodiaddon_depends
	dh_gencontrol -a

override_dh_gencontrol-indep:
	dh_gencontrol -i

# extract and patch customized libdvdread and libdvdnav and webinterface from 17.0 beta5
extract-components:
	tar -xf $(CURDIR)/../kodi_"$(UPSTREAM_VERSION)".orig-$(DVDNAV_COMPONENT).tar.bz2 && \
		mv libdvdnav-* $(CURDIR)/$(DVDNAV_COMPONENT)
	tar -xf $(CURDIR)/../kodi_"$(UPSTREAM_VERSION)".orig-$(DVDREAD_COMPONENT).tar.bz2 && \
		mv libdvdread-* $(CURDIR)/$(DVDREAD_COMPONENT)
	tar -xf $(CURDIR)/../kodi_"$(UPSTREAM_VERSION)".orig-webinterface-default.tar.xz

## kodi 17.0+dfsg1

=== debian/changelog ===
kodi (2:17.0+dfsg1-3) unstable; urgency=medium

  * Ship disabled systemd service file (Closes: #854985, #801886)
  * Use systemd service file recommended on upstream wiki

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 22 Feb 2017 01:28:43 +0100

kodi (2:17.0+dfsg1-2) unstable; urgency=medium

  * Apply patches to additional tarballs using quilt series file
    (Closes: #854463)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 09 Feb 2017 10:25:18 +0100

kodi (2:17.0+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 17.0+dfsg1
    See: https://kodi.tv/kodi17/

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 06 Feb 2017 19:33:08 +0100

kodi (2:17.0~rc4+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 17.0~rc4+dfsg1
    See: https://kodi.tv/kodi-v17-0-krypton-release-candidate-4/
  * Refresh patches
  * Remove spaces around '=' in service file.
    Also convert service file to use Unix line ending

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 05 Feb 2017 01:27:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -83,10 +83,6 @@
 	find . -name config.status -o -name config.cache -o -name config.log \
 		-exec rm -f "{}" \;
 	rm -rf tools/depends/target; \
-	ls $(CURDIR)/debian/patches/libdvdnav-* | tac | xargs cat | patch -R --no-backup-if-mismatch -r - -s -p1 \
-		-d $(DVDNAV_COMPONENT) || true
-	ls $(CURDIR)/debian/patches/libdvdread-* | tac | xargs cat | patch -R --no-backup-if-mismatch -r - -s -p1 \
-		-d $(DVDREAD_COMPONENT) || true
 	rm -rf $(CURDIR)/addons/webinterface.default
 	rm -f debian/dh-addon/*.1
 
@@ -103,8 +99,6 @@
 endif
 
 override_dh_auto_configure: configure
-	cat $(CURDIR)/debian/patches/libdvdnav-* | patch -p1 -d $(DVDNAV_COMPONENT)
-	cat $(CURDIR)/debian/patches/libdvdread-* | patch -p1 -d $(DVDREAD_COMPONENT)
 	cp -r $(CURDIR)/webinterface-default $(CURDIR)/addons/webinterface.default
 	sed -i 's/DEB_VERSION/"'$(VERSION)'"/' xbmc/Application.cpp xbmc/utils/SystemInfo.cpp
 	fontforge -script $(CURDIR)/debian/mergefonts.ff \
@@ -189,8 +183,9 @@
 override_dh_strip:
 	dh_strip --ddeb-migration="kodi-dbg (<< 15.1+dfsg1-4~)" || dh_strip
 
-override_dh_installinit:
-	@echo "Shipping systemd kodi.service file as an example only"
+# ship systemd service file disabled
+override_dh_systemd_enable:
+	dh_systemd_enable --no-enable
 
 override_dh_gencontrol-arch:
 	debian/dh-addon/dh_kodiaddon_depends
@@ -199,7 +194,7 @@
 override_dh_gencontrol-indep:
 	dh_gencontrol -i
 
-# extract and patch customized libdvdread and libdvdnav and webinterface from 17.0 beta5
+# extract customized additional tarballs
 extract-components:
 	tar -xf $(CURDIR)/../kodi_"$(UPSTREAM_VERSION)".orig-$(DVDNAV_COMPONENT).tar.bz2 && \
 		mv libdvdnav-* $(CURDIR)/$(DVDNAV_COMPONENT)

## kodi 17.1+dfsg1

=== xbmc/epg/CMakeLists.txt ===
set(SOURCES EpgContainer.cpp
            Epg.cpp
            EpgDatabase.cpp
            EpgInfoTag.cpp
            EpgSearchFilter.cpp
            GUIEPGGridContainer.cpp
            GUIEPGGridContainerModel.cpp)

set(HEADERS Epg.h
            EpgContainer.h
            EpgDatabase.h
            EpgInfoTag.h
            EpgSearchFilter.h
            GUIEPGGridContainer.h
            GUIEPGGridContainerModel.h)

core_add_library(epg)

=== xbmc/events/Makefile ===
SRCS=AddonEvent.cpp \
     AddonManagementEvent.cpp \
     BaseEvent.cpp \
     EventLog.cpp \
     MediaLibraryEvent.cpp \
     windows/GUIViewStateEventLog.cpp \
     windows/GUIWindowEventLog.cpp \

LIB=events.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/games/CMakeLists.txt ===
set(SOURCES GameServices.cpp)

set(HEADERS GameServices.h)

core_add_library(games)

=== xbmc/input/CMakeLists.txt ===
set(SOURCES ButtonTranslator.cpp
            InertialScrollingHandler.cpp
            InputCodingTableBaiduPY.cpp
            InputCodingTableBasePY.cpp
            InputCodingTableFactory.cpp
            InputCodingTableKorean.cpp
            InputManager.cpp
            Key.cpp
            KeyboardLayout.cpp
            KeyboardLayoutManager.cpp
            KeyboardStat.cpp
            MouseStat.cpp
            XBMC_keytable.cpp)

set(HEADERS ButtonTranslator.h
            InertialScrollingHandler.h
            InputCodingTable.h
            InputCodingTableBaiduPY.h
            InputCodingTableBasePY.h
            InputCodingTableFactory.h
            InputCodingTableKorean.h
            InputManager.h
            Key.h
            KeyboardLayout.h
            KeyboardLayoutManager.h
            KeyboardStat.h
            MouseStat.h
            XBIRRemote.h
            XBMC_keyboard.h
            XBMC_keysym.h
            XBMC_keytable.h
            XBMC_mouse.h
            XBMC_vkeys.h)

core_add_library(input)

=== xbmc/linux/CMakeLists.txt ===
set(SOURCES ConvUtils.cpp
            DBusMessage.cpp
            DBusReserve.cpp
            DBusUtil.cpp
            FDEventMonitor.cpp
            LinuxResourceCounter.cpp
            LinuxTimezone.cpp
            PosixMountProvider.cpp
            RBP.cpp
            XFileUtils.cpp
            XHandle.cpp
            XMemUtils.cpp
            XTimeUtils.cpp)

set(HEADERS ConvUtils.h
            DBusMessage.h
            DBusReserve.h
            DBusUtil.h
            DllBCM.h
            FDEventMonitor.h
            LinuxResourceCounter.h
            LinuxTimezone.h
            PlatformDefs.h
            PlatformInclude.h
            PosixMountProvider.h
            RBP.h
            stat_utf8.h
            stdio_utf8.h
            XFileUtils.h
            XHandle.h
            XHandlePublic.h
            XMemUtils.h
            XTimeUtils.h)

if(OMXLIB_FOUND)
  list(APPEND SOURCES OMXClock.cpp
                      OMXCore.cpp)
  list(APPEND HEADERS DllOMX.h
                      OMXClock.h
                      OMXCore.h)
endif()

if(IMX_FOUND)
  add_subdirectory(imx)
endif()

core_add_library(linuxsupport)

=== xbmc/playlists/Makefile ===
SRCS=PlayListB4S.cpp \
     PlayList.cpp \
     PlayListFactory.cpp \
     PlayListM3U.cpp \
     PlayListPLS.cpp \
     PlayListURL.cpp \
     PlayListWPL.cpp \
     PlayListXML.cpp \
     SmartPlayList.cpp \
     SmartPlaylistFileItemListModifier.cpp

LIB=playlists.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/pvr/Makefile ===
SRCS=PVRGUIInfo.cpp \
     PVRManager.cpp \
     PVRDatabase.cpp \
     PVRActionListener.cpp \
     PVRSettings.cpp

LIB=pvr.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/storage/Makefile ===
SRCS=AutorunMediaJob.cpp \
     cdioSupport.cpp \
     DetectDVDType.cpp \
     IoSupport.cpp \
     MediaManager.cpp \
     
LIB=storage.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/windows/CMakeLists.txt ===
set(SOURCES GUIMediaWindow.cpp
            GUIWindowDebugInfo.cpp
            GUIWindowFileManager.cpp
            GUIWindowHome.cpp
            GUIWindowLoginScreen.cpp
            GUIWindowPointer.cpp
            GUIWindowScreensaver.cpp
            GUIWindowScreensaverDim.cpp
            GUIWindowSplash.cpp
            GUIWindowStartup.cpp
            GUIWindowSystemInfo.cpp
            GUIWindowWeather.cpp)

set(HEADERS GUIMediaWindow.h
            GUIWindowDebugInfo.h
            GUIWindowFileManager.h
            GUIWindowHome.h
            GUIWindowLoginScreen.h
            GUIWindowPointer.h
            GUIWindowScreensaver.h
            GUIWindowScreensaverDim.h
            GUIWindowSplash.h
            GUIWindowStartup.h
            GUIWindowSystemInfo.h
            GUIWindowWeather.h)

core_add_library(windows)

=== xbmc/cores/omxplayer/CMakeLists.txt ===
set(SOURCES OMXAudio.cpp
            OMXAudioCodecOMX.cpp
            OMXHelper.cpp
            OMXImage.cpp
            OMXPlayerAudio.cpp
            OMXPlayerVideo.cpp
            OMXVideo.cpp)

set(HEADERS OMXAudio.h
            OMXAudioCodec.h
            OMXAudioCodecOMX.h
            OMXHelper.h
            OMXImage.h
            OMXPlayerAudio.h
            OMXPlayerVideo.h
            OMXVideo.h
            OMXVideoCodec.h)

core_add_library(omxplayer)
target_compile_definitions(${CORE_LIBRARY} PRIVATE -D__STDC_FORMAT_MACROS)

=== xbmc/filesystem/MusicDatabaseDirectory/CMakeLists.txt ===
set(SOURCES DirectoryNodeAlbumCompilations.cpp
            DirectoryNodeAlbumCompilationsSongs.cpp
            DirectoryNodeAlbum.cpp
            DirectoryNodeAlbumRecentlyAdded.cpp
            DirectoryNodeAlbumRecentlyAddedSong.cpp
            DirectoryNodeAlbumRecentlyPlayed.cpp
            DirectoryNodeAlbumRecentlyPlayedSong.cpp
            DirectoryNodeAlbumTop100.cpp
            DirectoryNodeAlbumTop100Song.cpp
            DirectoryNodeArtist.cpp
            DirectoryNode.cpp
            DirectoryNodeGrouped.cpp
            DirectoryNodeOverview.cpp
            DirectoryNodeRoot.cpp
            DirectoryNodeSingles.cpp
            DirectoryNodeSong.cpp
            DirectoryNodeSongTop100.cpp
            DirectoryNodeTop100.cpp
            DirectoryNodeYearAlbum.cpp
            DirectoryNodeYearSong.cpp
            QueryParams.cpp)

set(HEADERS DirectoryNode.h
            DirectoryNodeAlbum.h
            DirectoryNodeAlbumCompilations.h
            DirectoryNodeAlbumCompilationsSongs.h
            DirectoryNodeAlbumRecentlyAdded.h
            DirectoryNodeAlbumRecentlyAddedSong.h
            DirectoryNodeAlbumRecentlyPlayed.h
            DirectoryNodeAlbumRecentlyPlayedSong.h
            DirectoryNodeAlbumTop100.h
            DirectoryNodeAlbumTop100Song.h
            DirectoryNodeArtist.h
            DirectoryNodeGrouped.h
            DirectoryNodeOverview.h
            DirectoryNodeRoot.h
            DirectoryNodeSingles.h
            DirectoryNodeSong.h
            DirectoryNodeSongTop100.h
            DirectoryNodeTop100.h
            DirectoryNodeYearAlbum.h
            DirectoryNodeYearSong.h
            QueryParams.h)

core_add_library(musicdatabasedirectory)

=== xbmc/filesystem/test/CMakeLists.txt ===
set(SOURCES TestDirectory.cpp 
            TestFile.cpp
            TestFileFactory.cpp
            TestRarFile.cpp
            TestZipFile.cpp)

core_add_test_library(filesystem_test)

=== debian/changelog ===
kodi (2:17.1+dfsg1-3) unstable; urgency=medium

  * Fix zip file directory traversal vulnerability (CVE-2017-8314)
    (Closes: #863230)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 27 May 2017 00:50:34 +0200

kodi (2:17.1+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 Apr 2017 23:49:12 +0200

kodi (2:17.1+dfsg1-1) experimental; urgency=medium

  * Depend on fonts-noto-mono package which contains NotoMono-Regular.ttf
    (Closes: #856668)
  * Fix FTBFS on alpha by not using Intel assempler code (Closes: #856815)
  * Imported Upstream version 17.1+dfsg1
    See: https://kodi.tv/kodi-v17-1-krypton
  * Update my Uploader email address to my Ubuntu one
  * Fix extract-components target in d/rules

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 02 Apr 2017 11:01:21 +0200

kodi (2:17.1~rc1+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 17.1~rc1+dfsg1
  * Refresh patches

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 28 Feb 2017 02:21:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
+Uploaders: Balint Reczey <rbalint@ubuntu.com>
 Build-Depends: autoconf,
  automake,
  autopoint,
@@ -140,6 +140,7 @@
 Depends: mesa-utils,
          x11-utils,
          fonts-noto-hinted,
+         fonts-noto-mono,
          fonts-roboto-hinted,
          libjs-jquery,
          libjs-iscroll,
@@ -293,4 +294,3 @@
  expand its reach, making it available in more than 30 languages.
  .
  While Kodi functions very well as a standard media player application for
- your computer, it has been designed to be the perfect companion for your

=== debian/rules ===
--- 
+++ 
@@ -197,7 +197,7 @@
 # extract customized additional tarballs
 extract-components:
 	tar -xf $(CURDIR)/../kodi_"$(UPSTREAM_VERSION)".orig-$(DVDNAV_COMPONENT).tar.bz2 && \
-		mv libdvdnav-* $(CURDIR)/$(DVDNAV_COMPONENT)
+		test -d $(CURDIR)/$(DVDNAV_COMPONENT) || mv libdvdnav-* $(CURDIR)/$(DVDNAV_COMPONENT)
 	tar -xf $(CURDIR)/../kodi_"$(UPSTREAM_VERSION)".orig-$(DVDREAD_COMPONENT).tar.bz2 && \
-		mv libdvdread-* $(CURDIR)/$(DVDREAD_COMPONENT)
+		test -d $(CURDIR)/$(DVDREAD_COMPONENT) || mv libdvdread-* $(CURDIR)/$(DVDREAD_COMPONENT)
 	tar -xf $(CURDIR)/../kodi_"$(UPSTREAM_VERSION)".orig-webinterface-default.tar.xz

## kodi 17.3+dfsg1

=== debian/changelog ===
kodi (2:17.3+dfsg1-3) unstable; urgency=medium

  * Fix set core configure options to all instances.
  * Set configure options --disable-maintainer-mode
    --disable-silent-rules (unused now but might be added in future).
  * Fix avoid custom build rule silencing.
  * Fix FTBFS: Build-depend on and build with gcc-6 and g++-6 (until
    bug#841556 is fixed).
    Closes: Bug#853476. Thanks to Matthias Klose and Bálint Réczey.
  * Modernize Vcs-* fields:
    + Use https (not git or http) protocol.
    + Use git (not gitweb) in path.
  * Use https in Homepage URL.
  * Add myself as uploader.
  * Add patch 18 to support omitting addon repository feed.
  * Ship repository feed in separate package kodi-repository-kodi.
    Closes: Bug#877656 (or arguably only lowers severity of it, but
    since we cannot track that versioned better to close and track the
    lowered severity separately).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Oct 2017 03:53:10 +0200

kodi (2:17.3+dfsg1-2) unstable; urgency=medium

  * Upload to unstable
  * Stop shipping kodi.service as an example since it is now shipped
    as a regular .service file

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 29 Jun 2017 05:15:29 +0200

kodi (2:17.3+dfsg1-1) experimental; urgency=medium

  * New upstream version 17.3
    See: https://kodi.tv/article/kodi-v173-minor-bug-fix-and-security-release
  * Refresh patches

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 26 May 2017 18:44:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Balint Reczey <rbalint@ubuntu.com>
+Uploaders: Balint Reczey <rbalint@ubuntu.com>,
+ Jonas Smedegaard <dr@jones.dk>
 Build-Depends: autoconf,
+ gcc-6,
+ g++-6,
  automake,
  autopoint,
  autotools-dev,
@@ -100,9 +103,9 @@
  zip,
  zlib1g-dev
 Standards-Version: 3.9.8
-Homepage: http://kodi.tv/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi.git
+Homepage: https://kodi.tv/
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/kodi.git
 
 Package: kodi
 Architecture: any
@@ -110,7 +113,7 @@
          kodi-bin (<< ${source:Version}.1~),
          kodi-data (>= ${source:Version}),
          ${misc:Depends}
-Recommends: kodi-visualization-spectrum
+Recommends: kodi-repository-kodi | kodi-repository, kodi-visualization-spectrum
 Replaces: xbmc (<< 2:13.2+dfsg1-5~)
 Breaks: xbmc (<< 2:13.2+dfsg1-5~)
 Provides: ${kodi:PVRAPI}, ${kodi:GUILIBAPI}
@@ -293,4 +296,3 @@
  developers have contributed to Kodi, and 100-plus translators have worked to
  expand its reach, making it available in more than 30 languages.
  .
- While Kodi functions very well as a standard media player application for

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,17 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+# Temporary workaround - see bug#841556
+export CPP=cpp-6
+export CC=gcc-6
+export CXX=g++-6
+export CPP_FOR_BUILD=cpp-6
+export CC_FOR_BUILD=gcc-6
+export CXX_FOR_BUILD=g++-6
+
+# Avoid custom build rule silencing
+export V=1
 
 # bindnow breaks wrappers used in with libdvdread
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
@@ -45,10 +56,16 @@
 # for embedded libdvd*:
 export DEB_CPPFLAGS_MAINT_APPEND = -D_XBMC
 
-# List of options to pass to configure. Can be overridden.
+# List of options to pass to _any_ configure.
+CORE_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
+  --disable-maintainer-mode \
+  --disable-dependency-tracking \
+  --disable-silent-rules \
+
+# List of options to pass to configure of Kodi. Can be overridden.
 # Extra options can simply be passed using KODI_CONFIG_EXTRA_OPTIONS env
 # variable.
-KODI_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
+KODI_CONFIG_OPTIONS ?= $(CORE_CONFIG_OPTIONS) \
   $(GL_CONFIG_OPTIONS) \
   --disable-openmax \
   --disable-tegra \
@@ -64,7 +81,6 @@
   --enable-libcec \
   --disable-airtunes \
   --with-ffmpeg=shared \
-  --disable-dependency-tracking \
   --disable-non-free \
   --enable-gtest \
   --with-lirc-device=/var/run/lirc/lircd \
@@ -113,11 +129,11 @@
 	# Add "from Debian" next to Kodi's original logo
 	inkscape -z -w 250 -h 82 --export-png=addons/skin.estuary/media/from-debian-logo.png debian/from-debian-logo.svg
 	(cd $(DVDREAD_COMPONENT) && autoreconf -vif && \
-		$(shell dpkg-buildflags --export=configure) ./configure \
+		$(shell dpkg-buildflags --export=configure) ./configure $(CORE_CONFIG_OPTIONS) \
 		--prefix=$(CURDIR)/tools/depends/target/libdvdread/dvdread-install --disable-shared --enable-static --with-pic && \
 		$(MAKE) install) && \
 	(cd $(DVDNAV_COMPONENT) && autoreconf -vif && \
-		$(shell dpkg-buildflags --export=configure) PKG_CONFIG_PATH="$(CURDIR)/tools/depends/target/libdvdread/dvdread-install/lib/pkgconfig" ./configure \
+		$(shell dpkg-buildflags --export=configure) PKG_CONFIG_PATH="$(CURDIR)/tools/depends/target/libdvdread/dvdread-install/lib/pkgconfig" ./configure $(CORE_CONFIG_OPTIONS) \
 		--prefix=$(CURDIR)/tools/depends/target/libdvdnav/dvdnav-install --disable-shared --enable-static --with-pic && \
 		$(MAKE) install)
 
@@ -144,7 +160,10 @@
 	dh_install -i -XLICENCE -XLICENSE \
 		-XLicence.txt -XLicense.txt -XLICENSE.txt \
 		-XNOTICE.txt \
-		-Xjquery-1.8.2.min.js -Xiscroll-min.js
+		-Xjquery-1.8.2.min.js -Xiscroll-min.js \
+		-Nkodi-repository-kodi -Xusr/share/kodi/addons/repository.xbmc.org
+	dh_install -pkodi-repository-kodi \
+		addons/repository.xbmc.org/* usr/share/kodi/addons/repository.xbmc.org
 
 override_dh_install-arch:
 	dh_install -a -XLICENCE -XLICENSE -XLicence.txt -XLicense.txt \
